<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>LibArch: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">LibArch
   </div>
   <div id="projectbrief">Library architecture and framework</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li class="current"><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="globals.html"><span>All</span></a></li>
      <li><a href="globals_func.html"><span>Functions</span></a></li>
      <li><a href="globals_type.html"><span>Typedefs</span></a></li>
      <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
      <li class="current"><a href="globals_defs.html"><span>Macros</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;<ul>
<li>lib_align
: <a class="el" href="da/d45/lib__memmgt_8c.html#aef56ec9026728bbc68740371f2773785">lib_memmgt.c</a>
</li>
<li>LIB_CACHE_ERROR
: <a class="el" href="df/d7c/group__libarch__cachecfg.html#gab447a2c2ef93390a4ae137b80fc575a9">lib_cachecfg.h</a>
</li>
<li>LIB_CACHE_SUCCESS
: <a class="el" href="df/d7c/group__libarch__cachecfg.html#ga2e6fd05c3ca05c5fda056c53f1b0e583">lib_cachecfg.h</a>
</li>
<li>LIB_EMT_ERROR_FREE
: <a class="el" href="d1/df3/group__libarch__datatrans.html#ga5262fd9542b2a9beb4f9b6a7c1215a95">lib_datatrans.h</a>
</li>
<li>LIB_EMT_ERROR_INVARG
: <a class="el" href="d1/df3/group__libarch__datatrans.html#ga7c00744552e888fa1c1da7bafc3fb362">lib_datatrans.h</a>
</li>
<li>LIB_EMT_ERROR_INVCFG
: <a class="el" href="d1/df3/group__libarch__datatrans.html#gaec3d5fb167114b1c4dbf5d3a6220b0d1">lib_datatrans.h</a>
</li>
<li>LIB_EMT_ERROR_INVHANDLE
: <a class="el" href="d1/df3/group__libarch__datatrans.html#ga7ca25bc939f597f627bc633b7256c05e">lib_datatrans.h</a>
</li>
<li>LIB_EMT_ERROR_RMANINIT
: <a class="el" href="d1/df3/group__libarch__datatrans.html#ga9189f70619c7a767d69d7fe8b9500e7e">lib_datatrans.h</a>
</li>
<li>LIB_EMT_ERROR_XFER
: <a class="el" href="d1/df3/group__libarch__datatrans.html#ga25622242e06ac967497797f20e3095dd">lib_datatrans.h</a>
</li>
<li>LIB_EMT_MAX_NUM_CHANNELS
: <a class="el" href="db/d64/lib__datatrans_8h.html#abb019e3da762027cfaf8d9eca00468f0">lib_datatrans.h</a>
</li>
<li>LIB_EMT_MAX_PAR_CHANNELS
: <a class="el" href="db/d64/lib__datatrans_8h.html#a4e88f54a58fca935d1017e62bdfa4e39">lib_datatrans.h</a>
</li>
<li>LIB_EMT_SUCCESS
: <a class="el" href="d1/df3/group__libarch__datatrans.html#ga6682ba347b624952140c5ead3301a8be">lib_datatrans.h</a>
</li>
<li>LIB_MEMMGT_ERROR
: <a class="el" href="d7/da6/group__libarch__memmgt.html#ga21728661e7141fcfd212ca8286a7947b">lib_memmgt.h</a>
</li>
<li>LIB_MEMMGT_SUCCESS
: <a class="el" href="d7/da6/group__libarch__memmgt.html#gacfa30c2c1e697da904265b91b9c60d2f">lib_memmgt.h</a>
</li>
<li>LIB_SIZE_1024KB
: <a class="el" href="d1/d92/lib__cachecfg_8c.html#a2bd93f9c46cb9ceae399b2ce2864ddb1">lib_cachecfg.c</a>
</li>
<li>LIB_SIZE_128KB
: <a class="el" href="d1/d92/lib__cachecfg_8c.html#a9839f7661af009f7c2c05dcaeacbab40">lib_cachecfg.c</a>
</li>
<li>LIB_SIZE_16KB
: <a class="el" href="d1/d92/lib__cachecfg_8c.html#a37e1c7e7f3bee76af4701a5865da3406">lib_cachecfg.c</a>
</li>
<li>LIB_SIZE_256KB
: <a class="el" href="d1/d92/lib__cachecfg_8c.html#a2e93095ac1125bff41330b1d84716977">lib_cachecfg.c</a>
</li>
<li>LIB_SIZE_32KB
: <a class="el" href="d1/d92/lib__cachecfg_8c.html#aeee396eaee6f535903c89b243ba55b3a">lib_cachecfg.c</a>
</li>
<li>LIB_SIZE_4KB
: <a class="el" href="d1/d92/lib__cachecfg_8c.html#aa87c72590a2772a99f28ec97f070460b">lib_cachecfg.c</a>
</li>
<li>LIB_SIZE_512KB
: <a class="el" href="d1/d92/lib__cachecfg_8c.html#a882bf05724e05e073b5148fdb13ed1f3">lib_cachecfg.c</a>
</li>
<li>LIB_SIZE_64KB
: <a class="el" href="d1/d92/lib__cachecfg_8c.html#a3e8f863f3661c29f418034cef56f8f52">lib_cachecfg.c</a>
</li>
<li>LIB_SIZE_8KB
: <a class="el" href="d1/d92/lib__cachecfg_8c.html#aa6ce860292df265fbe1ee0c95256499e">lib_cachecfg.c</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Mar 6 2017 14:10:51 for LibArch by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
